Uploaded image for project: 'Spring Framework'
  1. Spring Framework
  2. SPR-13012

Upgrade build to Gradle 2.5 for JDK 9 support

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 4.2 RC2
    • Fix Version/s: 4.2 RC3
    • Component/s: [Build]
    • Labels:
      None
    • Last commented by a User:
      true

      Description

      Overview

      Gradle 2.5 aims to support JDK 1.9.

      In fact, the Gradle 2.5 nightly build already supports building spring-test (and presumably the rest of the spring-framework) against JDK 1.9.

      For details, see the comments from Adrian Kelly on the Gradle Forums.


      Update from Luke Daley – May 12, 2015

      To be clear, it's not quite guaranteed that 2.5 works flawlessly with Java 9. We are making steps towards this; how far we get remains to be seen.

      At this time we won't be doing a point release of 2.4. You could try using the http://gradle.org/nightly2 build in the interim.

      We are looking to issue the first RC of 2.5 in the next two-ish weeks.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              juergen.hoeller Juergen Hoeller
              Reporter:
              sbrannen Sam Brannen
              Last updater:
              Spring Issues Spring Issues
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since last comment:
                3 years, 19 weeks, 1 day ago